Bug 85853 - Preview counting of items shows -- when disabled
Preview counting of items shows -- when disabled
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-09 07:52 EST by Mikael Carneholm
Modified: 2015-01-07 19:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:05:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of nautilus with preview counting disabled and bug visible (38.25 KB, image/png)
2003-03-09 07:56 EST, Mikael Carneholm
no flags Details

  None (edit)
Description Mikael Carneholm 2003-03-09 07:52:37 EST
Description of Problem:
If you turn off counting of items in previews of directories, nautilus will
display "--" under each directory icon. This looks bad and is confusing - what
does these "--" mean, really? That nautilus knows something about what's inside,
but that it's refusing to tell you? Or that it does not know how many items
there are in the directories? Turning off counting of items in previews should
not display any information related to counting at all, just like turning off
the sidebar or the location bar does not display blank areas where these
normally display!

Steps to reproduce the problem:
1. Set counting of items to "Never" in the nautilus preferences dialog
2. Close the preferences dialog
3. Browse to a directory that contains one or more subdirectories

Actual Results:
"--" is displayed under each directory icon, indicating that nautilus does not
know how many objects that are contained in the directory. This is unwanted, as
I (as a user) just turned counting off alltogether!

Expected Results:
Just the icons (and directory names) should be displayed.

How often does this happen?
Always.

Additional Information:
See attached screenshots.
Comment 1 Mikael Carneholm 2003-03-09 07:56:15 EST
Created attachment 90533 [details]
Image of nautilus with preview counting disabled and bug visible
Comment 2 Mikael Carneholm 2004-01-08 11:57:18 EST
This still holds for Nautilus 2.4.0 (as in Fedora core 1).
Comment 3 Alexander Larsson 2004-10-04 09:13:17 EDT
So, what do you expect the size field to contain? The empty string?
Comment 4 Alexander Larsson 2004-10-04 09:13:58 EDT
Note: You can remove the size field totally in the prefs.
Comment 5 Mikael Carneholm 2004-10-04 10:33:19 EDT
>> So, what do you expect the size field to contain? The empty string?

The size field should not be there at all if counting is disabled,
that's all.

>> Note: You can remove the size field totally in the prefs.

I know. But turning off "Count the number of objects" in the
preferences Preview tab should automatically set the first dropdown to
"Nothing" in the Show tab, as they are related.
Comment 6 Alexander Larsson 2004-10-04 12:11:51 EDT
You've selected to show the "size" field, but not the subdir count.
So, there must be a string (it'll be the file size for files). By not
there at all, you mean the empty string then?

The prefs are not really related as such. They just control one form
of size calculations.
Comment 7 Mikael Carneholm 2004-10-04 13:50:04 EDT
>>The prefs are not really related as such. They just control one form
>>of size calculations.

Sorry, my mistake. Anyhow, setting "Count number of objects/items"
(not sure what it says in english) to "Never" should not display *any*
information related to the amount of objects in each map. "--" as such
*is* related to counting (it somehow says 'these two characters are
normally used for displaying digits') - but counting-related
information is exactly what you're not at all interested in if you
have turned it off. 

In short: the label should either display the number of objects in a
map, or nothing at all. Not something in between.
Comment 8 Bill Nottingham 2006-08-05 00:42:17 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 10 Bill Nottingham 2007-01-02 14:05:50 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.